.achievement-section {
    padding: 30px 15px;
    background-color: #161616;
    color: white;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-bottom: 2px solid black;
}

.achievement-heading {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-size: 2.3rem;
    margin-bottom: 25px;
    color: rgb(241, 241, 241);
}

.achievement-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    width: 100%;
    max-width: 1000px;
}

.achievement {
    flex: 1 1 200px;
    max-width: 220px;
    padding: 8px;
    box-sizing: border-box;
    font-size: 1.4rem;
    color: rgb(255, 221, 0);
    text-align: center;
}

.count {
    display: block;
    font-size: 2.4rem;
    font-weight: bold;
    color: rgb(255, 221, 0);
    border-bottom: 1px solid white;
    padding-bottom: 4px;
}

.label {
    margin-top: 4px;
    display: block;
    font-size: 1rem;
    color: #a1a1a1;
}

/* Tablet */
@media (max-width: 768px) {
    .achievement-section {
        padding: 25px 12px;
    }

    .achievement-heading {
        font-size: 1.8rem;
        margin-bottom: 18px;
    }

    .achievement-container {
        flex-direction: column;
        align-items: center;
        gap: 15px;
    }

    .achievement {
        max-width: 100%;
        font-size: 1.2rem;
        padding: 6px 0;
        max-height: 100px;
    }

    .count {
        font-size: 2rem;
    }

    .label {
        font-size: 0.9rem;
    }
}

/* Mobile */
@media (max-width: 480px) {
    .achievement-section {
        padding: 20px 10px;
    }

    .achievement-heading {
        font-size: 1.5rem;
        margin-bottom: 15px;
    }

    .achievement-container {
        gap: 10px;
    }

    .achievement {
        font-size: 1.1rem;
        margin: 0;
        padding: 4px 0;
        height: max-content;
        max-height: 100px;
    }

    .count {
        font-size: 1.7rem;
    }

    .label {
        font-size: 0.85rem;
    }
}
